<template id="entity_create"> 
  <div class="animated fadeIn">
    <div class="jarviswidget jarviswidget-sortable" id="wid-id-1"  role="widget">
				<header role="heading">
          <span class="widget-icon"> 
            <i class="fa fa-edit"></i> 
          </span>
					<h2>Manage Entity Groups </h2>	

          <button v-show="!creationMode" @click="changeMode()" class="btn btn-primary btn-sm pull-right"><i class="icon-plus icons font-2xl"></i> <i class="fa fa-plus-square"></i> &nbsp; Create New Group</button>
          &nbsp;	&nbsp;
          <el-button @click="updateAll()" type="primary" icon="el-icon-refresh">Update All</el-button>
	
          <button v-show="creationMode" @click="changeMode()" class="btn btn-primary btn-sm pull-right"><i class="icon-plus icons font-2xl"></i> <i class="fa fa-level-up"></i> &nbsp; Up</button>		
					
				  <span class="jarviswidget-loader"><i class="fa fa-refresh fa-spin"></i></span>
        </header>

				<!-- widget div-->
				<div role="content">
					
					<!-- widget edit box -->
					<div class="jarviswidget-editbox">
						<!-- This area used as dropdown edit box -->
						
					</div>
					<!-- end widget edit box -->
					
					<!-- widget content -->
					<div class="widget-body no-padding">
										<div v-if="alert == true" class="alert alert-success no-margin fade in">
											<button class="close" data-dismiss="alert">
												×
											</button>
											<i class="fa-fw fa fa-info"></i>
                        Success .
                      </div>
										
										<div  class="table-responsive">
									
                      
											<table class="table table-bordered table-striped table-condensed table-hover smart-form has-tickbox">
												<thead>
                          <tr>
                            <th>#</th>
                            <th>Name</th>
                            <th>Description</th>
                            <th>  </th>
                          </tr>
                        </thead>
                        <tbody v-show="!creationMode">
                          <tr  v-for="(group,index) in groups" :key="index" :data-vv-scope="'form'+index">
                            
                            <td>{{index + 1 }}</td>
                            <td>
                              
                              <label class="input">
                                <input 
                                v-validate="'required|alpha_num'"
                                v-model="group.nameGroupSubTenants"
                                class="form-control" 
                                type="text" 
                                :name="'name_'+index" >
                                
                                <el-alert
                                  v-show="errors.has('name_'+index)"
                                  :title="errors.first('name_'+index) + ''"
                                  :closable="false"
                                  type="error"
                                  show-icon>
                                </el-alert>
                              
                              </label>
                            </td>
                            <td>
                              <label class="input">
                                <input 
                                v-validate="'required|alpha_spaces'"
                                v-model="group.descGroupSubTenants" class="form-control" type="text" :name="'Description_'+index" >
                                <el-alert
                                  v-show="errors.has('Description_'+index)"
                                  :title="errors.first('Description_'+index) + ''"
                                  :closable="false"
                                  type="error"
                                  show-icon>
                                </el-alert>
                              </label>
                            </td>
                            <td>
                              <!-- <span class="badge badge-success">Active</span> -->
                              <b-button  @click="updateGroup(group,'form'+index)" class="btn btn-primary btn-sm"><i class="fa fa-dot-circle-o"></i>&nbsp; Update</b-button>
                              <b-button @click="deleteGroup(group)" class="btn btn-danger btn-sm"><i class="fa fa-remove"></i>&nbsp; Remove</b-button>
                              
                            </td>
                          </tr>
              
                         </tbody>
											
                      <tbody v-if="creationMode">
                          <tr >
                            
                            <td> </td>
                            <td>
                              <label class="input">
                                <input 
                                v-validate="'required|alpha_num'"
                                v-model="c_group.nameGroupSubTenants" class="form-control" type="text" name="name" >
                                <el-alert
                                  v-show="errors.has('name')"
                                  :title="errors.first('name') + ''"
                                  :closable="false"
                                  type="error"
                                  show-icon>
                                </el-alert>
                              </label>
                            </td>
                            <td>
                              <label class="input">
                                <input 
                                v-validate="'required|alpha_spaces'"
                                v-model="c_group.descGroupSubTenants" class="form-control" type="text" name="description" >
                                <el-alert
                                  v-show="errors.has('description')"
                                  :title="errors.first('description') + ''"
                                  :closable="false"
                                  type="error"
                                  show-icon>
                                </el-alert>
                              </label>
                            </td>
                            <td>
                              <!-- <span class="badge badge-success">Active</span> -->
                              <b-button @click="createGroup()" class="btn btn-primary btn-sm"><i class="fa fa-dot-circle-o"></i>&nbsp; Create</b-button>
                              
                            </td>
                          </tr>
              
                         </tbody>
											
                      
                      
                      
                      
                      
                      
                      </table>
										
										</div>
										
         

      
									</div>
					<!-- end widget content -->
					
				</div>
				<!-- end widget div -->
				
			</div>

  
  
  </div>
</template>

<script src="./manage"></script>
